/**
 * @description 鉴权指令
 * 当传入的权限当前用户没有时，会移除该组件
 * 用例：<Tag v-auth>text</Tag> 或者：<Tag v-auth="'user:编辑'">text</Tag>
 * */
import store from '@/store';

export default {
    inserted (el, binding, vnode) {
        let btnText = ''
        // 如果没传值,则取当前页面路由和按钮名字,否则,直接取传的值
        if(binding.value){
            btnText = binding.value
        }else{
            btnText = `${vnode.context.$route.name}:${el.innerText}`
        }
        const btnPermissions = store.state.btnPermissions;
        if (btnText && btnPermissions && btnPermissions.length) {
            const isPermission = btnPermissions.includes(btnText);
            if (!isPermission) {
                // 如果权限集合里没有这个按钮,则把这个按钮给移除
                el.parentNode && el.parentNode.removeChild(el);
            }
        }
    }
}
