export default [
    {
        path: '/',
        redirect: '/login'
    },
    {
        path: '/',
        component: () => import('@/layouts/home/index.vue'),
        meta: { title: '自述文件' },
        children: [
            {
                name: 'personalCenter',
                path: 'personalCenter',
                component: () => import('@/pages/personalCenter.vue'),
                meta: {
                    title: '个人中心'
                }
            },
            {
                name: 'courseSection',
                path: 'courseSection',
                component: () => import('@/pages/courseSection.vue'),
                meta: { title: '课程预览' }
            },
            
            {
                // 国际化组件
                name: 'i18n',
                path: 'i18n',
                component: () => import('@/pages/i18n.vue'),
                meta: { title: '国际化' }
            },
            {
                name: '404',
                path: '404',
                component: () => import('@/pages/404.vue'),
                meta: { title: '404' }
            },
            {
                name: '403',
                path: '403',
                component: () => import('@/pages/403.vue'),
                meta: { title: '403' }
            }
        ]
    },
    {
        name: 'login',
        path: '/login',
        component: () => import('@/pages/login.vue'),
        meta: { title: '登录' }
    }
]